CREATE VIEW v_forumthread
AS
SELECT ft.forumid, ft.forumpostid, ft.subject, MAX(fp.forumpostid) AS lastpostid, COUNT(fp.forumpostid) AS postcount
FROM forumpost ft
INNER JOIN forumpost fp ON fp.threadid = ft.forumpostid
WHERE ft.forumpostid = ft.threadid
GROUP BY ft.forumid, ft.forumpostid, ft.subject
GO